--- a/config/examples/ppc64_config.xml	2012-04-06 11:04:50.578125000 -0400
+++ b/config/examples/ppc64_config.xml	2012-04-06 10:54:34.640625000 -0400
@@ -39,7 +39,7 @@
   <option name="CONFIG_PC_PARTS" type="boolean" value="true"/>
   <option name="CONFIG_HFS" type="boolean" value="true"/>
   <option name="CONFIG_HFSP" type="boolean" value="true"/>
-  <option name="CONFIG_ISO9660" type="boolean" value="true"/>
+  <option name="CONFIG_ISO9660" type="boolean" value="false"/>
   <option name="CONFIG_EXT2" type="boolean" value="true"/>
   <option name="CONFIG_GRUBFS" type="boolean" value="true"/>
   <option name="CONFIG_FSYS_EXT2FS" type="boolean" value="false"/>
@@ -49,7 +49,7 @@
   <option name="CONFIG_FSYS_REISERFS" type="boolean" value="false"/>
   <option name="CONFIG_FSYS_XFS" type="boolean" value="false"/>
   <option name="CONFIG_FSYS_UFS" type="boolean" value="false"/>
-  <option name="CONFIG_FSYS_ISO9660" type="boolean" value="false"/>
+  <option name="CONFIG_FSYS_ISO9660" type="boolean" value="true"/>
   <option name="CONFIG_FSYS_FFS" type="boolean" value="false"/>
   <option name="CONFIG_FSYS_VSTAFS" type="boolean" value="false"/>
   <option name="CONFIG_FSYS_NTFS" type="boolean" value="false"/>
@@ -58,7 +58,7 @@
 
   <!-- Miscellaneous -->
   <option name="CONFIG_LINUXBIOS" type="boolean" value="false"/>
-  <option name="CONFIG_RTAS" type="boolean" value="false"/>
+  <option name="CONFIG_RTAS" type="boolean" value="true"/>
 
   <!-- Drivers -->
   <option name="CONFIG_DRIVER_PCI" type="boolean" value="true"/>
--- a/config/examples/ppc_config.xml	2012-04-06 11:04:50.593750000 -0400
+++ b/config/examples/ppc_config.xml	2012-04-06 10:54:34.656250000 -0400
@@ -59,7 +59,7 @@
   <!-- Miscellaneous -->
   <option name="CONFIG_PPC_64BITSUPPORT" type="boolean" value="true"/>
   <option name="CONFIG_LINUXBIOS" type="boolean" value="false"/>
-  <option name="CONFIG_RTAS" type="boolean" value="false"/>
+  <option name="CONFIG_RTAS" type="boolean" value="true"/>
 
   <!-- Drivers -->
   <option name="CONFIG_DRIVER_PCI" type="boolean" value="true"/>
--- a/config/scripts/switch-arch	2012-04-06 11:05:05.000000000 -0400
+++ b/config/scripts/switch-arch	2012-04-06 10:54:34.687500000 -0400
@@ -97,7 +97,7 @@
 
 select_prefix()
 {
-    for TARGET in ${1}-linux-gnu- ${1}-linux- ${1}-elf- ${1}-eabi-
+    for TARGET in ${1}-unknown-linux-gnu- ${1}64-unknown-linux-gnu- ${1}-linux-gnu- ${1}-linux- ${1}-elf- ${1}-eabi-
     do
         if type ${TARGET}gcc > /dev/null 2>&1
         then
--- a/arch/ppc/qemu/methods.c	2012-04-06 11:04:20.281250000 -0400
+++ b/arch/ppc/qemu/methods.c	2012-04-06 10:54:34.703125000 -0400
@@ -38,7 +38,11 @@
 rtas_instantiate( void )
 {
 	ucell physbase = POP();
+#ifdef CONFIG_PPC64
+	ucell s=0x1000, size = (ducell)of_rtas_end - (ducell)of_rtas_start;
+#else
 	ucell s=0x1000, size = (ucell)of_rtas_end - (ucell)of_rtas_start;
+#endif
 	unsigned long virt;
 
 	while( s < size )
--- a/arch/ppc/qemu/ldscript	2012-04-06 11:00:14.375000000 -0400
+++ b/arch/ppc/qemu/ldscript	2012-04-06 10:54:34.718750000 -0400
@@ -1,5 +1,5 @@
 OUTPUT_FORMAT(elf32-powerpc)
-OUTPUT_ARCH(powerpc)
+OUTPUT_ARCH(powerpc:common)
 
 /* Initial load address
  */
